/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <November 17, 2025> */

/**/
	/*fonts*/

	/*btns*/
/*Modal*/
/* Header */
	/**/
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.snap-mobile-menu {
    background-color: var(--color-primary-text);
}
mm-burger {
    color: black;
}
.slider-info {
    background: white;
}
/* Hero */
	/**/
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, #ffffffba, transparent, transparent);
}

#navigation-style-3 + .ry-menu .ry-nav {
    justify-content: center;
    gap: 50px;
}

/* CTA */
	/**/
/* Welcome */
	/**/

.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}
.module-welcome.style-5 .ry-text p {
    margin: 30px 0 30px;
    font-size: 1.25rem;
    line-height: 1.75rem;
}
/* Services */
	/**/
.ry-services.style2 .ry-each .photo:after {
    background: #172c2d;
    opacity: 0.9;
}
.ry-services.style2 .ry-each .photo:before {
    background: var(--color-secondary-background);
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    filter: brightness(0) invert(1);
	    top: 5%;
    left: 15%;
    width: 70%;
    height: 70%;
}

.ry-services.style2 .ry-each .each-block:hover .photo img {
    z-index: 0;
    transition: all .3s;
}
.ry-services.style2 .ry-content .content {
    max-width: 1000px;
}
/* Meet the Team */
	/**/
#section-hp-team h6, #section-hp-team p {
    color: white;
}

#section-hp-team .swiper-pagination-bullet {
    background: white;
    position: relative;
}
/* Insurance */
	/**/
#hp-insurance-1 {
    background-color: white;
    padding-bottom: 0;
}
#hp-insurance-1 .swiper-slide {
    background: transparent;
    padding: 0;
}

#hp-insurance-1 .swiper-slide img {
    height: 110px;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-2::before, .module-testimonials.style-3::after {
    opacity: 0;
}

.module-testimonials.style-2 .comments-icon {
    background-color: var(--color-secondary-background);
}

.module-testimonials.style-2 .comments-holder div.p-4:last-child {
    padding: 0;
}
/* Footer */
	/**/
#ry-footer::before {
    background: black;
}
/*Media Queries*/
	/**/

@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 0%;
    }
}
@media (width < 1080px) {
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before {
        opacity: 1;
    }
    .ry-services.style2 .each-block .photo,
    .ry-services.style2 .each-block .photo img{
        border-radius: 0;
    }
    .ry-services.style2 .each-block .photo:before {
        opacity: 1;
        height: 100%;
        background: var(--color-secondary-background);
    }
    .ry-services.style2 .each-block .photo img {
		z-index: 2;
		filter: brightness(0) invert(1);
		width: 160px;
		height: 160px;
		object-fit: contain;
		left: 50%;
		top: 15%;
		transform: translateX(-50%);
	}
}
@media screen and (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    
    .slider-info {
        min-height: fit-content;
    }
}
@media screen and (max-width:767px){
    .with-gradient:before {
        opacity: 0;
    }
}
/* End - HP Edits*/

div#navigation .bg-primary-background {
    background-color: #fff !important;
}

body[data-page-name="contact-us"] div#footer-map {
    display: none;
}
